namespace ScoreboardApi
{
    using ScoreboardApi.Objects;

    public interface IGameManager
    {
        void StartNew(Team home, Team away, DateTimeOffset kickOffTime);

        void Finish();

        void AddEvent(Event newEvent);

        void ResetGame();

        void DeleteEvent(int eventId);

        Game GetScore();
    }
}